Ubuntu 12.04 LTS -> 14.04 LTS upgrade fails if Flight Gear installed

Bug #1308338 reported by Timo Jyrinki on 2014-04-16
616
This bug affects 76 people
Affects Status Importance Assigned to Milestone
Release Notes for Ubuntu
Undecided
Unassigned
apt (Ubuntu)
Medium
Unassigned

Bug Description

Removing Flight Gear fixes the issue.

---
Broken flightgear:amd64 Riippuvuudet on libopenscenegraph99 [ amd64 ] < none -> 3.2.0~rc1-4 > ( universe/libs )
  Considering libopenscenegraph99:amd64 3 as a solution to flightgear:amd64 -1
  MarkKeep flightgear [ amd64 ] < 2.4.0-1 -> 3.0.0-1 > ( universe/games ) FU=0
  Holding Back flightgear:amd64 rather than change libopenscenegraph99:amd64
---

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: update-manager 1:0.156.14.13
ProcVersionSignature: Ubuntu 3.11.0-19.33~precise1-generic 3.11.10.5
Uname: Linux 3.11.0-19-generic x86_64
ApportVersion: 2.0.1-0ubuntu17.6
Architecture: amd64
Date: Wed Apr 16 09:10:48 2014
GsettingsChanges:
 com.ubuntu.update-manager first-run false
 com.ubuntu.update-manager launch-time 1397628529
 com.ubuntu.update-manager window-height 636
 com.ubuntu.update-manager window-width 600
MarkForUpload: True
PackageArchitecture: all
SourcePackage: update-manager
Symptom: ubuntu-release-upgrader-core
UpgradeStatus: Upgraded to precise on 2014-04-16 (0 days ago)
VarLogDistupgradeTermlog:

Timo Jyrinki (timo-jyrinki) wrote :
Timo Jyrinki (timo-jyrinki) wrote :

Attaching the apt.log from the actual problematic run (the next run was already on-going when reporting the bug, but I saved the apt.log from before).

Jean-Baptiste Lallement (jibel) wrote :

Thanks for taking the time to report this bug and helping to make Ubuntu better. Could you please add all the log files for the problematic run from '/var/log/dist-upgrade/' to this bug report as separate attachments? Thanks in advance.

Changed in update-manager (Ubuntu):
status: New → Incomplete
affects: update-manager (Ubuntu) → ubuntu-release-upgrader (Ubuntu)
Timo Jyrinki (timo-jyrinki) wrote :

apt.log was already there, and I'm now attaching main.log now that I noticed there was a backup folder in the /var/log/dist-upgrade. The only additional file in that directory is a 0 byte term.log (since it aborted when calculating the dist-upgrade, before starting the upgrade).

Changed in ubuntu-release-upgrader (Ubuntu):
status: Incomplete → New
Jean-Baptiste Lallement (jibel) wrote :

There must be a file called apt-clone_system_state.tar.gz too? it is the system state before the upgrade.

Michael Vogt (mvo) wrote :

Looks like libhdf5-serial-1.8.4 is the offender. Its no longer available and apt wants to keep it rather than remove it (as it has this bias towards keeping stuff installed that is not ideal in a situation like this).

Timo Jyrinki (timo-jyrinki) wrote :

There's apt-clone_system_state.tar.gz but it's not in the timestamped backup directory so it's from the following run. I can attach it if needed, but it seems the problem can be identified also without it.

Michael Vogt (mvo) wrote :

Fwiw, the apt from git-current can calculate the upgrade correctly, non-downloadable packages are penalized stronger here when the question of keep vs remove arises.

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1308338

tags: added: iso-testing
affects: ubuntu-release-upgrader (Ubuntu) → flightgear (Ubuntu)
Saikrishna Arcot (saiarcot895) wrote :

For flightgear, the problematic package is libnetcdf6, which was replaced by libnetcdfc7.

Broken libnetcdfc7:amd64 Breaks on libnetcdf6 [ amd64 ] < 1:4.1.1-6 > ( libs ) (< 1:4.1.1-7~)
  Considering libnetcdf6:amd64 1 as a solution to libnetcdfc7:amd64 0
  MarkKeep libnetcdfc7 [ amd64 ] < none -> 1:4.1.3-7ubuntu2 > ( universe/libs ) FU=0
  Holding Back libnetcdfc7:amd64 rather than change libnetcdf6:amd64

Because of this, there is a domino effect that causes libgdal1h to not be installed, which then causes libopenscenegraph99 to not be installed, which then causes flightgear and simgear to not be installed.

Changed in flightgear (Ubuntu):
status: New → Triaged
Changed in ubuntu-release-notes:
status: New → Fix Released
Changed in flightgear (Ubuntu):
importance: Undecided → Medium
tags: added: precise2trusty

Thanks. Its working.

CSRedRat (csredrat) wrote :

When this fixed in 14.04 Trusty Tahr for 14.04.1 (24 July)?

This isn't a flightgear bug, it's an apt/ubuntu-release-upgrader bug, and according to #8 is already fixed (in later releases, obviously this won't help 12.04 -> 14.04).

Removing flightgear and reinstalling it after the upgrade should be fine as a workaround, since flightgear would be being upgraded anyway.

Changed in apt (Ubuntu):
status: New → Fix Released
Changed in flightgear (Ubuntu):
status: Triaged → Invalid

ok tanks Rebeca, I'll try remove flight gear and upgrade ubuntu.
;) Ezequiel Ribeiro Paiva

     Em Quarta-feira, 19 de Novembro de 2014 9:41, Rebecca Palmer <email address hidden> escreveu:

 This isn't a flightgear bug, it's an apt/ubuntu-release-upgrader bug,
and according to #8 is already fixed (in later releases, obviously this
won't help 12.04 -> 14.04).

Removing flightgear and reinstalling it after the upgrade should be fine
as a workaround, since flightgear would be being upgraded anyway.

** Also affects: apt (Ubuntu)
  Importance: Undecided
      Status: New

** Changed in: apt (Ubuntu)
      Status: New => Fix Released

** Changed in: flightgear (Ubuntu)
      Status: Triaged => Invalid

--
You received this bug notification because you are subscribed to a
duplicate bug report (1359543).
https://bugs.launchpad.net/bugs/1308338

Title:
  Ubuntu 12.04 LTS -> 14.04 LTS upgrade fails if Flight Gear installed

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu-release-notes/+bug/1308338/+subscriptions

ALVIN SUGAR (alvinsugar) on 2015-02-05
affects: apt (Ubuntu) → flightgear
Mr. Alan E Hurd (alan-val) wrote :

Dear Bug 1308338,

Than you I removed flightgear & it updated with

no problem.

Many Thanks

Alan

On 05/02/2015 0:45, ALVIN SUGAR
wrote:

> ** Package changed: apt (Ubuntu) => flightgear
>
> --
> You
received this bug notification because you are subscribed to a
>
duplicate bug report (1407493).
>
https://bugs.launchpad.net/bugs/1308338
>
> Title:
> Ubuntu 12.04 LTS
-> 14.04 LTS upgrade fails if Flight Gear installed
>
> Status in
FlightGear Flight Simulator:
> Fix Released
> Status in Release Notes
for Ubuntu:
> Fix Released
> Status in flightgear package in Ubuntu:
>
Invalid
>
> Bug description:
> Removing Flight Gear fixes the issue.
>

> ---
> Broken flightgear:amd64 Riippuvuudet on libopenscenegraph99 [
amd64 ] < none -> 3.2.0~rc1-4 > ( universe/libs )
> Considering
libopenscenegraph99:amd64 3 as a solution to flightgear:amd64 -1
>
MarkKeep flightgear [ amd64 ] < 2.4.0-1 -> 3.0.0-1 > ( universe/games )
FU=0
> Holding Back flightgear:amd64 rather than change
libopenscenegraph99:amd64
> ---
>
> ProblemType: Bug
> DistroRelease:
Ubuntu 12.04
> Package: update-manager 1:0.156.14.13
>
ProcVersionSignature: Ubuntu 3.11.0-19.33~precise1-generic 3.11.10.5
>
Uname: Linux 3.11.0-19-generic x86_64
> ApportVersion:
2.0.1-0ubuntu17.6
> Architecture: amd64
> Date: Wed Apr 16 09:10:48
2014
> GsettingsChanges:
> com.ubuntu.update-manager first-run false
>
com.ubuntu.update-manager launch-time 1397628529
>
com.ubuntu.update-manager window-height 636
> com.ubuntu.update-manager
window-width 600
> MarkForUpload: True
> PackageArchitecture: all
>
SourcePackage: update-manager
> Symptom: ubuntu-release-upgrader-core
>
UpgradeStatus: Upgraded to precise on 2014-04-16 (0 days ago)
>
VarLogDistupgradeTermlog:
>
> To manage notifications about this bug go
to:
> https://bugs.launchpad.net/flightgear/+bug/1308338/+subscriptions

affects: flightgear (Ubuntu) → apt (Ubuntu)
Changed in apt (Ubuntu):
status: Invalid → Fix Released
affects: flightgear → apt
affects: apt → ubuntu
no longer affects: ubuntu
LaunchpadUser (lpusr) wrote :

Just for info: as my dist upgrade from 14.04.05 to 16.04.01 didn't work ("2016-08-28 03:49:44,202 ERROR Dist-upgrade failed: 'E:Fehler: Unterbrechungen durch pkgProblemResolver::Resolve hervorgerufen; dies könnte durch zurückgehaltene Pakete verursacht worden sein.'") i tried lots of things without success. Then I found this bug thread but it didn't help me either. But it inspired me to check "installed (upgradable)" packages with synaptic which showed one package that was not in "main": minetest! After I deinstalled minetest, finally do-release-upgrade continued without the pkgProblemResolver::Resolve error!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers